export interface Movement {
    type: string;
    handleTarget: string;
    showList: any[];
    hiddenList: any[];
    linkUrl: string;
}
export interface ConditionItemParams {
    key: string;
    value: string;
    condition: string;
}
export interface MutualConditionList {
    conditionType: string;
    list: ConditionItemParams[];
}
export interface MutualCondition {
    conditionType: string;
    list: MutualConditionList[];
}
export interface MutualOption {
    eventType: string;
    mutualIsCondition: boolean;
    mutualCondition: MutualCondition;
    movement: Movement[];
}
export interface BRichTextComponentProps {
    content: string;
    componentData: string;
    whiteSpace: string;
    layerName: string;
    isDisplay: boolean;
    fieldTag: string;
    isRelation: boolean;
    display: string;
    transform: string;
    overflow: string;
    cursor: string;
    lineHeight: number;
    opacity: string;
    width: string;
    height: string;
    widthValue: string;
    heightValue: string;
    left: string;
    top: string;
    isBackgroundColor: boolean;
    backgroundColor: string;
    backgroundColorValue: string;
    paddingTop: string;
    paddingRight: string;
    paddingBottom: string;
    paddingLeft: string;
    isAllBorderRadius: boolean;
    borderRadius: string;
    borderRadiusAll: string;
    borderTopLeftRadiusValue: string;
    borderTopRightRadiusValue: string;
    borderBottomLeftRadiusValue: string;
    borderBottomRightRadiusValue: string;
    isBorder: boolean;
    borderStyle: string;
    borderWidth: string;
    borderColor: string;
    borderStyleValue: string;
    borderWidthValue: string;
    borderColorValue: string;
    isBoxShadow: boolean;
    boxShadow: string;
    boxShadowH: string;
    boxShadowV: string;
    boxShadowBlur: string;
    boxShadowSpread: string;
    boxShadowColor: string;
    boxShadowInset: boolean;
    isFilter: boolean;
    filter: string;
    filterValue: string;
    mutualOption: MutualOption[];
}
export declare const bRichTextDefaultProps: BRichTextComponentProps;
export declare const bRichTextStylePropNames: string[];
