import type { App } from 'vue';
import 'ant-design-vue/dist/antd.css';
export { bTextDefaultProps, bTextStylePropNames } from './components/BText/prop';
export { bRichTextDefaultProps, bRichTextStylePropNames } from './components/BRichText/prop';
export { bBasicPictureDefaultProps, bBasicPictureStylePropNames } from './components/BBasicPicture/prop';
export { bBasicVideoDefaultProps, bBasicVideoStylePropNames } from './components/BBasicVideo/prop';
export { bBasicAudioDefaultProps, bBasicAudioStylePropNames } from './components/BBasicAudio/prop';
export { bBasicTableDefaultProps, bBasicTableStylePropNames } from './components/BBasicTable/prop';
export { bSquareShapeDefaultProps, bSquareShapeStylePropNames } from './components/BSquareShape/prop';
export { bCircularShapeDefaultProps, bCircularShapeStylePropNames } from './components/BCircularShape/prop';
export { bTriangleShapeDefaultProps, bTriangleShapeStylePropNames } from './components/BTriangleShape/prop';
export { bLineShapeDefaultProps, bLineShapeStylePropNames } from './components/BLineShape/prop';
export { bBasicBarChartDefaultProps, bBasicBarChartDefaultPropNames } from './components/BBasicBarChart/prop';
export { bHorizontalBarChartDefaultProps, bHorizontalBarChartDefaultPropNames } from './components/BHorizontalBarChart/prop';
export { bBasicLineChartDefaultProps, bBasicLineChartDefaultPropNames } from './components/BBasicLineChart/prop';
export { bBasicScatterChartDefaultProps, bBasicScatterChartDefaultPropNames } from './components/BBasicScatterChart/prop';
export { bBubbleScatterChartDefaultProps, bBubbleScatterChartDefaultPropNames } from './components/BBubbleScatterChart/prop';
export { bLineBarChartDefaultProps, bLineBarChartDefaultPropNames } from './components/BLineBarChart/prop';
export { bBasicPieChartDefaultProps, bBasicPieChartDefaultPropNames } from './components/BBasicPieChart/prop';
export { bRosePieChartDefaultProps, bRosePieChartDefaultPropNames } from './components/BRosePieChart/prop';
export type { BTextComponentProps } from './components/BText/prop';
export type { BRichTextComponentProps } from './components/BRichText/prop';
export type { BBasicPictureComponentProps } from './components/BBasicPicture/prop';
export type { BBasicVideoComponentProps } from './components/BBasicVideo/prop';
export type { BBasicAudioComponentProps } from './components/BBasicAudio/prop';
export type { BBasicTableComponentProps } from './components/BBasicTable/prop';
export type { BSquareShapeComponentProps } from './components/BSquareShape/prop';
export type { BCircularShapeComponentProps } from './components/BCircularShape/prop';
export type { BTriangleShapeComponentProps } from './components/BTriangleShape/prop';
export type { BLineShapeComponentProps } from './components/BLineShape/prop';
export type { BBasicBarChartComponentProps } from './components/BBasicBarChart/prop';
export type { BHorizontalBarChartComponentProps } from './components/BHorizontalBarChart/prop';
export type { BBasicLineChartComponentProps } from './components/BBasicLineChart/prop';
export type { BBasicScatterChartComponentProps } from './components/BBasicScatterChart/prop';
export type { BBubbleScatterChartComponentProps } from './components/BBubbleScatterChart/prop';
export type { BLineBarChartComponentProps } from './components/BLineBarChart/prop';
export type { BBasicPieChartComponentProps } from './components/BBasicPieChart/prop';
export type { BRosePieChartComponentProps } from './components/BRosePieChart/prop';
export type { AllComponentProps } from './components/defaultProps';
import BText from './components/BText';
import BRichText from './components/BRichText';
import BBasicPicture from './components/BBasicPicture';
import BBasicVideo from './components/BBasicVideo';
import BBasicAudio from './components/BBasicAudio';
import BSquareShape from './components/BSquareShape';
import BCircularShape from './components/BCircularShape';
import BTriangleShape from './components/BTriangleShape';
import BLineShape from './components/BLineShape';
import BBasicBarChart from './components/BBasicBarChart';
import BHorizontalBarChart from './components/BHorizontalBarChart';
import BBasicLineChart from './components/BBasicLineChart';
import BBasicScatterChart from './components/BBasicScatterChart';
import BBubbleScatterChart from './components/BBubbleScatterChart';
import BLineBarChart from './components/BLineBarChart';
import BBasicPieChart from './components/BBasicPieChart';
import BRosePieChart from './components/BRosePieChart';
declare const install: (app: App) => void;
export { BText, BRichText, BBasicPicture, BBasicVideo, BBasicAudio, BCircularShape, BSquareShape, BTriangleShape, BLineShape, BBasicBarChart, BHorizontalBarChart, BBasicLineChart, BBasicScatterChart, BBubbleScatterChart, BLineBarChart, BBasicPieChart, BRosePieChart, install };
declare const _default: {
    install: (app: App<any>) => void;
};
export default _default;
